#version 330 core

/*******************************************************************************
	Copyright (C) 2013 John Chapman

	This software is distributed freely under the terms of the MIT License.
	See "license.txt" or "http://copyfree.org/licenses/mit/license.txt".
*******************************************************************************/

uniform sampler2D uInputTex;
uniform sampler2D uLensFlareTex;
//uniform sampler2D uLensDirtTex;


in vec2 fragUV;
layout(location=0) out vec4 fResult;

/*----------------------------------------------------------------------------*/
void main() {
    //vec4 lensMod = texture(uLensDirtTex, fragUV);
    
	vec4 result = texture(uInputTex, fragUV);
    
	result += texture(uLensFlareTex, fragUV) /* lensMod*/;
    
	fResult = result;
}
