#version 330 core

uniform sampler2D bloomTexture;
uniform float threshold = 0.8;

in vec2 fragUV;
layout(location = 0) out vec3 fragColor;

void main(){
	
	vec3 tmp = textureLod(bloomTexture,fragUV,3).xyz;
	float gray = 0.299 * tmp.x + 0.587*tmp.y + 0.114*tmp.z;
	fragColor = gray > threshold ? tmp : vec3(0,0,0);

	//fragColor = max((texture(bloomTexture,fragUV).xyz-0.8),0);

}